summaryrefslogtreecommitdiffstats
path: root/test/run_window_test.sh
diff options
context:
space:
mode:
authorDave Davenport <qball@gmpclient.org>2016-01-04 20:46:34 +0100
committerDave Davenport <qball@gmpclient.org>2016-01-04 20:46:34 +0100
commitf715a33bf7ec153bb6bb2b3fa1e9e38415b67352 (patch)
tree5891f94e749c4422c5ab47e9de77c460cbba5b2e /test/run_window_test.sh
parentc85f1cb0bff11f52e821e54974e06a04f932106f (diff)
Add window manager as test if possible
Diffstat (limited to 'test/run_window_test.sh')
-rwxr-xr-xtest/run_window_test.sh22
1 files changed, 22 insertions, 0 deletions
diff --git a/test/run_window_test.sh b/test/run_window_test.sh
new file mode 100755
index 00000000..8e10b5fe
--- /dev/null
+++ b/test/run_window_test.sh
@@ -0,0 +1,22 @@
+#!/usr/bin/env bash
+
+# wait till it is up, run rofi with error message
+sleep 1;
+xterm &
+XPID=$!
+sleep 1;
+echo -e -n "aap\nnoot\nmies" | rofi -modi window -show window > output.txt &
+RPID=$!
+
+# send enter.
+sleep 5;
+xdotool type 'xterm'
+sleep 0.4
+xdotool key Return
+sleep 1;
+xdotool key Ctrl+d
+wait ${XPID}
+# Get result, kill xvfb
+wait ${RPID}
+RETV=$?
+exit ${RETV}